Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class QueryJoinInfo

    java.lang.Object
      jet.api.QueryJoinInfo

    public class QueryJoinInfo

extends java.lang.Object

Field Summary
`static int` | `LEFTOUTER` flag of outer join type
`static int` | `RIGHTOUTER` flag of outer join type

Constructor Summary
`QueryJoinInfo()` Constructor.
`QueryJoinInfo(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo)` Constructor.
`QueryJoinInfo(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, boolean isSQL92, int outerJoin)` Constructor.

Method Summary
`void` | `add(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo)` Adds a definition of the join object into the container.
`void` | `add(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, boolean isSQL92, int outerJpin)` Adds a definition of the join object into the container.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFTOUTER

    public static final int LEFTOUTER

  flag of outer join type

  See Also:
    Constant Field Values

### RIGHTOUTER

    public static final int RIGHTOUTER

  flag of outer join type

  See Also:
    Constant Field Values

Constructor Detail

### QueryJoinInfo

    public QueryJoinInfo()

  Constructor. Creates a container to manipulate the definitions of a query join object.

### QueryJoinInfo

    public QueryJoinInfo(java.lang.String tableFrom,
                         java.lang.String columnFrom,
                         java.lang.String operator,
                         java.lang.String tableTo,
                         java.lang.String columnTo,
                         boolean isSQL92,
                         int outerJoin)

  Constructor. Creates a container to manipulate the definitions of a query join object. It also creates a definition of the query join object and adds it into the container.

  Parameters:
    `tableFrom` - The name of the table from which the join links.
    `columnFrom` - The name of the column from which the join links.
    `operator` - The String operator of the join.
    `tableTo` - The name of the table to which the join links.
    `columnTo` - The name of the column to which the join links.
    `isSQL92` - Indicates whether to use sql92 format to create the join or not. There are two kinds of join formats: SQL92 and Use'+'.
    `outerJoin` - Indicates join type of the outer join. An outer join preserves these records in the result and replaces the missing values with nulls. JReport will call the join left (right) outer join if the records in the left (right) side table are preserved.
  See Also:
    `LEFTOUTER`, `RIGHTOUTER`

### QueryJoinInfo

    public QueryJoinInfo(java.lang.String tableFrom,
                         java.lang.String columnFrom,
                         java.lang.String operator,
                         java.lang.String tableTo,
                         java.lang.String columnTo)

  Constructor. Creates a definition of the query join object.

  Parameters:
    `tableFrom` - The name of the table from which the join links.
    `columnFrom` - The name of the column from which the join links.
    `operator` - The String operator of the join.
    `tableTo` - The name of the table to which the join links.
    `columnTo` - The name of the column to which the join links.

Method Detail

### add

    public void add(java.lang.String tableFrom,
                    java.lang.String columnFrom,
                    java.lang.String operator,
                    java.lang.String tableTo,
                    java.lang.String columnTo)

  Adds a definition of the join object into the container.

  Parameters:
    `tableFrom` - The name of the table from which the join links.
    `columnFrom` - The name of the column from which the join links.
    `operator` - The String operator of the join.
    `tableTo` - The name of the table to which the join links.
    `columnTo` - The name of the column to which the join links.

### add

    public void add(java.lang.String tableFrom,
                    java.lang.String columnFrom,
                    java.lang.String operator,
                    java.lang.String tableTo,
                    java.lang.String columnTo,
                    boolean isSQL92,
                    int outerJpin)

  Adds a definition of the join object into the container.

  Parameters:
    `tableFrom` - The name of the table from which the join links.
    `columnFrom` - The name of the column from which the join links.
    `operator` - The String operator of the join.
    `tableTo` - The name of the table to which the join links.
    `columnTo` - The name of the column to which the join links.
    `isSQL92` - Indicates whether to use sql92 format to create the join or not. There are two kinds of join formats: SQL92 and Use'+'.
    `outerJoin` - Indicates join type of the outer join. An outer join preserves these records in the result and replaces the missing values with nulls. JReport will call the join left (right) outer join if the records in the left (right) side table are preserved.
  See Also:
    `LEFTOUTER`, `RIGHTOUTER`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD